Package org.codehaus.commons.compiler.io

# Class InputStreams

java.lang.Object
org.codehaus.commons.compiler.io.InputStreams

public final class InputStreams extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`copy(InputStream is, OutputStream os)`
`static byte[]`
`readAll(InputStream is)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### readAll

public static byte[] readAll(InputStream is) throws IOException

Throws:
  `IOException`

### copy

public static void copy(InputStream is, OutputStream os) throws IOException

Throws:
  `IOException`